<?php

$status = array
(
    1 => '开启',
    2 => '关闭',
);

$type = array
(
    1 => '收费',
    2 => '免费',
);

$audio_status = array
(
    1 => '未转换',
    2 => '转换中',
    3 => '转换完成',
);

return array
(
    # 表名
    'name' => 'audio_content',
    # 显示给用户看的名称
    'lang' => '章节管理',
    'menu' => false,
    'end' => array
    (
        'insert' => 'content/lib/audio.convert',
        'update' => 'content/lib/audio.convert',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'audio_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '课程',
            'default'   => '',
            'desc'      => '课程',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_audio_id')
        ),

        'name'      => array
        (
            'type'      => 'varchar-80',
            'name'      => '标题',
            'default'   => '',
            'desc'      => '标题',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '章节排序(数值越小越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'asc',
            'edit'      => true,
        ),

        'type'     => array
        (
            'type'      => 'int-11',
            'name'      => '是否收费',
            'default'   => '1',
            'desc'      => '是否收费',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
        ),

        'desc'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '摘要',
            'default'   => '',
            'desc'      => '摘要',
            'match'     => 'is_string',
            'update'    => 'textarea',
        ),

        'content'      => array
        (
            'type'      => 'text-255',
            'name'      => '课程展示内容-排版后显示的内容，可以有图片',
            'default'   => '',
            'desc'      => '内容',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => 1,
            //'search'  => 'fulltext',
            //'list'        => true,
        ),

        'audio_content'      => array
        (
            'type'      => 'text-255',
            'name'      => '语音内容-系统自动从中提取文字转成一段语音，多音字请用同音字替代，不显示在前端',
            'default'   => '',
            'desc'      => '语音内容',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => 1,
            //'search'  => 'fulltext',
            //'list'        => true,
        ),

        'audio'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '语音文件',
            'default'   => '',
            'desc'      => '语音文件',
            'match'     => 'is_string',
        ),

        'ali_request_id'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '阿里云请求的request_id',
            'default'   => '',
            'desc'      => '阿里云请求的request_id',
            'match'     => 'is_string',
            //'update'    => 'text',
        ),

        'ali_task_id'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '阿里云请求的task_id',
            'default'   => '',
            'desc'      => '阿里云请求的task_id',
            'match'     => 'is_string',
            //'update'    => 'text',
        ),

        'audio_status'     => array
        (
            'type'      => 'int-11',
            'name'      => '转换状态',
            'default'   => '1',
            'desc'      => '转换状态',
            'match'     => 'is_numeric',
            //'update'    => 'radio',
            'option'    => $audio_status,
            'list'      => true,
        ),

        'status'     => array
        (
            'type'      => 'int-11',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $status,
        ),

        'num_add_view'      => array
        (
            'type'      => 'int-11',
            'name'      => '学习量基数',
            'default'   => '0',
            'desc'      => '学习量基数',
            'match'     => 'option',
            //'update'  => 'text',
        ),

        'num_view'      => array
        (
            'type'      => 'int-11',
            'name'      => '学习量',
            'default'   => '0',
            'desc'      => '请填写浏览量',
            'match'     => 'option',
            'search'    => 'order',
            'list'      => '{num_view}+{num_add_view}',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),

    'request' => array
    (
        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'audio_id' => 'yes',
                'state' => 1,
                'status' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'asc', 'id' => 'desc'),
            'col' => '*',
        ),
    ),
);
