<?php

# 验证dc是否存在，一般在share目录下
$dc = array();
$dc_file = '/share/dc/config.php';
if (is_file($dc_file)) {
    $dc = include($dc_file);
}

if (isset($dc['data'])) {
    $config['base']['data'] = $dc['data'];
}

$create = -1;
if (isset($dc['mysql']['create'])) {
    $create = -1;
}
$ip = isset($dc['host']) ? $dc['host'] : '192.168.33.10';

$local = isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : $ip;

# 数据库配置
$config['database'] = array
(
    'create' => $create,
	# 默认数据库配置
	'default' => array
	(
		'type' => 'pdo',
		'host' => array
		(
			'read' => isset($dc['mysql']) ? $dc['mysql']['host'] : 'web-mysql:3306',
			'update' => isset($dc['mysql']) ? $dc['mysql']['host'] : 'web-mysql:3306',
            'create' => isset($dc['mysql']) ? $dc['mysql']['host_create'] : 'web-mysql:3306',
		),
		'database' => 'sknow',
		'username' => isset($dc['mysql']) ? $dc['mysql']['username'] : 'root',
		'password' => isset($dc['mysql']) ? $dc['mysql']['password'] : '123456',
		'charset' => 'utf8mb4',
	),
);

# 缓存配置
$config['cache'] = array
(
    # 启用mysql数据库缓存，这个缓存是根据表名自动生成，dever::load形式和service的all、one形式均自动支持，无需手动添加
    'mysql' => 0,
    # 启用页面缓存 会根据当前的url来生成缓存，相当于页面静态化。
    'html' => 0,
    # 启用数据级别缓存 这个缓存是程序员自定义的：Dever::cache('name', 'value', 3600);
    'data' => 0,
    # 启用load加载器缓存，一般不加载
    'load' => 0,
    # 启用load加载器的远程加载缓存
    'curl' => 0,
    # 启用路由缓存
    'route' => 0,

    # 缓存精细控制，根据uri来控制，0则无需缓存
    'routeKey' => array
    (
        
    ),

    # 哪些路由中的参数不参与生成缓存的key
    'routeNoParam' => array
    (
        'uid' => array
        (
            
        ),
    ),
    
    # 缓存清理的参数名,请通过shell=clearcache执行
    'shell' => 'clearcache',

    # 是否启用key失效时间记录，启用之后，将会记录每个key的失效时间
    'expire' => true,

    # 缓存类型
    'type' => 'redis',//memcache、redis

    # 缓存保存方式，支持多个数据源、多台缓存服务器
    'store' => array
    (
        array
        (
            'host' => 'server-redis',
            'port' => '6379',
            'weight' => 100,
            'password' => 'dm_redis_123',
        ),
    ),
);

$config['debug'] = array
(
	'log' => array('type' => 'file')
);

/*
if (DEVER_APP_NAME == 'source') {
    $config['debug']['log'] = array('type' => 'file'); 
}
*/


$host = 'http://'.$local . '/';

$upload = $host . 'sknow/package/';
$uploadcdn = $host . 'sknow/data/';

$config['host'] = array
(
    'upload'=> $upload . 'upload/?save',
    'uploadRes'     => isset($dc['res']) && $dc['res'] ? $dc['res'] : $uploadcdn . 'upload/',
);

return $config;
