<?php

return array
(
	# 表名
	'name' => 'system',
	# 显示给用户看的名称
	'lang' => '项目管理',
	# 后台菜单排序
	'order' => 1,
	'end' => array
	(
		'insert' => array
		(
			'manage/top.sync',
		),
		'update' => array
		(
			'manage/top.sync',
		),
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '项目名称',
			'default' 	=> '',
			'desc' 		=> '项目名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'appid'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微信appid',
			'default' 	=> '',
			'desc' 		=> '请输入微信appid',
			'match' 	=> 'option',
			'search'	=> 'order,fulltext',
			'update'	=> 'text',
			'list'		=> 'table',
			'modal' 	=> '详细信息',
		),

		'secret'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微信secret',
			'default' 	=> '',
			'desc' 		=> '请输入微信secret',
			'match' 	=> 'option',
			'search'	=> 'order,fulltext',
			'update'	=> 'text',
			//'list'		=> 'table',
			//'modal' 	=> '详细信息',
		),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 默认值
	'default' => array
	(
		'col' => 'name,state,cdate',
		'value' => array
		(
			'"默认项目",1,' . time(),
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,

		# 自定义快捷新增和编辑
		'button' => array
		(
			'新增' => array('fast'),
		),
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('编辑'),
		),
	),

	'top' => array
	(
		# 数据来源
		'data' => 'state',
		# 菜单名
		'name' => '项目选择',
		# 默认值
		'value' => 1,
		# 对应的字段值，设置这个之后，所有设置等于这个值的字段，都要遵循这个权限的控制
		'key' => Dever::config('base')->top,
		# 本表中代表名称的字段
		'col' => 'name',
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'col' => '*',
		),
	),
);
