<?php

$type = array
(
	1 => '小程序',
	2 => '微信公众号',
	3 => 'IOS微信客户端',
	4 => '安卓微信客户端',
);
return array
(
	# 表名
	'name' => 'wechat',
	# 显示给用户看的名称
	'lang' => '微信绑定列表',
	'order' => 10,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'system_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属项目',
			'default' 	=> '1',
			'desc' 		=> '所属项目',
			'match' 	=> 'is_numeric',
			//'option' 	=> $level,
			//'update'	=> 'select',
			//'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'search'	=> 'fulltext',
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "未知用户"',
			'list'		=> true,
			//'edit'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '类型',
			'default' 	=> '1',
			'desc' 		=> '类型',
			'match' 	=> 'is_numeric',
			'option' 	=> $type,
			'update'	=> 'radio',
			'list'		=> true,
		),

		'openid'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> 'openid-微信的唯一用户id',
			'default' 	=> '',
			'desc' 		=> 'openid',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'unionid'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> 'unionid-微信的唯一用户id',
			'default' 	=> '',
			'desc' 		=> 'unionid',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'session_key'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> 'session_key',
			'default' 	=> '',
			'desc' 		=> 'session_key',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
		),

		'access_token'       => array
        (
            'type'      => 'varchar-200',
            'name'      => 'access_token',
            'default'   => '',
            'desc'      => 'access_token',
            'match'     => 'is_string',
            //'update'  => 'text',
        ),

        'refresh_token'       => array
        (
            'type'      => 'varchar-200',
            'name'      => 'refresh_token',
            'default'   => '',
            'desc'      => 'refresh_token',
            'match'     => 'is_string',
            //'update'  => 'text',
        ),

        'expires_in'       => array
        (
            'type'      => 'varchar-100',
            'name'      => 'expires_in',
            'default'   => '',
            'desc'      => 'expires_in',
            'match'     => 'is_string',
            //'update'  => 'text',
        ),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'search'	=> 'date',
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	# 索引
	'index' => array
	(
		11 => array
		(
			'openid' => 'uid,openid,unionid',
		),
		
		# 版本号 更改版本号会更新当前表的索引
		'version' => 11,
	),
	
	# request 请求接口定义
	'request' => array
	(
		'getByUnionid' => array
		(
			'option' => array
			(
				'unionid' => 'yes',
			),
			'type' => 'all',
			'order' => array('id' => 'asc'),
			'col' => '*',
		),

		'updates' => array
		(
			'set' => array
			(
				'uid' => 'yes',
			),
			'where' => array
			(
				'uid' => array('yes', 'in'),
			),
			'type' => 'update',
		),

		'updateByOpenid' => array
		(
			'set' => array
			(
				'session_key' => 'yes',
			),
			'where' => array
			(
				'openid' => 'yes',
			),
			'type' => 'update',
		),
	),
);
